Bug 464457 - Review Request: elfinfo - minimal elf file parser
Review Request: elfinfo - minimal elf file parser
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-29 04:51 EDT by ashok
Modified: 2008-11-11 02:53 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-03 18:34:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description ashok 2008-09-29 04:51:57 EDT
Spec URL: http://ashokdas.fedorapeople.org/elfinfo.spec
SRPM URL: http://ashokdas.fedorapeople.org/elfinfo-1.0-1.fc9.src.rpm
Description: minimal elf file parser and back end to greadelf.
Comment 1 Parag AN(पराग) 2008-09-29 05:00:34 EDT
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=849326
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
6803ca2a6166dcfd205b99c0ee7ec3a2  elfinfo-1.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

APPROVED.
Comment 2 ashok 2008-09-29 05:33:37 EDT
New Package CVS Request
=======================
Package Name: elfinfo
Short Description: minimal elf file parser and back end to greadelf.
Owners: ashokdas
Branches: F-9
InitialCC:
Comment 3 Huzaifa S. Sidhpurwala 2008-09-30 00:26:01 EDT
cvs done
Comment 4 Fedora Update System 2008-10-03 02:04:41 EDT
elfinfo-1.0-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/elfinfo-1.0-1.fc9
Comment 5 Fedora Update System 2008-10-03 18:34:38 EDT
elfinfo-1.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Parag Nemade 2008-11-11 01:14:17 EST
Package Change Request
======================
Package Name: elfinfo
New Branches: EL-5
Comment 7 Parag Nemade 2008-11-11 01:41:36 EST
Package Change Request
======================
Package Name: elfinfo
New Branches: EL-5
Owners: ashokdas paragn
Comment 8 Jens Petersen 2008-11-11 02:42:04 EST
cvs done
Comment 9 Parag Nemade 2008-11-11 02:53:12 EST
Thanks Jens for quick cvs.

Note You need to log in before you can comment on or make changes to this bug.